# ApiHdfsSnapshot Data Model

An HDFS snapshot descriptor.

Properties
name | data type | description
--- | --- | ---
path | string | Snapshotted path.
snapshotName | string | Snapshot name.
snapshotPath | string | Read-only. Fully qualified path for the snapshot version of "path". For example, if a snapshot "s1" is present at "/a/.snapshot/s1, then the snapshot path corresponding to "s1" for path "/a/b" will be "/a/.snapshot/s1/b".
creationTime | string | Snapshot creation time.

Example

    {
      "path" : "...",
      "snapshotName" : "...",
      "snapshotPath" : "...",
      "creationTime" : "..."
    }